import { stringify } from 'qs';
import request from '../utils/request';
import { userLogin, userLogout } from '../utils/api';

export async function login(params) {
  const options = {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded', // 以form表单格式提交
    },
    method: 'POST',
    body: stringify(params),
  }
  return request(`${userLogin}`, options);
}

export async function logout() {
  const options = {
    method: 'DELETE',
  };
  return request(`${userLogout}`, options);
}
